Package org.jbpm.process.instance

## Interface ProcessInstanceManager

- All Known Implementing Classes:
    `DefaultProcessInstanceManager`, `JPAProcessInstanceManager`

      public interface ProcessInstanceManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProcessInstance​(org.kie.api.runtime.process.ProcessInstance processInstance, org.kie.internal.process.CorrelationKey correlationKey)` |
    `void` | `clearProcessInstances()` |
    `void` | `clearProcessInstancesState()` |
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance​(long id)` |
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance​(long id, boolean readOnly)` |
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance​(org.kie.internal.process.CorrelationKey correlationKey)` |
    `Collection<org.kie.api.runtime.process.ProcessInstance>` | `getProcessInstances()` |
    `void` | `internalAddProcessInstance​(org.kie.api.runtime.process.ProcessInstance processInstance)` |
    `void` | `internalRemoveProcessInstance​(org.kie.api.runtime.process.ProcessInstance processInstance)` |
    `Collection<org.kie.api.runtime.process.ProcessInstance>` | `loadKnowledgeRuntimeProcessInstances()` |
    `void` | `removeProcessInstance​(org.kie.api.runtime.process.ProcessInstance processInstance)` |

- - ### Method Detail

    - #### loadKnowledgeRuntimeProcessInstances

          Collection<org.kie.api.runtime.process.ProcessInstance> loadKnowledgeRuntimeProcessInstances()

    - #### getProcessInstance

          org.kie.api.runtime.process.ProcessInstance getProcessInstance​(long id)

    - #### getProcessInstance

          org.kie.api.runtime.process.ProcessInstance getProcessInstance​(long id,
                                                                         boolean readOnly)

    - #### getProcessInstance

          org.kie.api.runtime.process.ProcessInstance getProcessInstance​(org.kie.internal.process.CorrelationKey correlationKey)

    - #### getProcessInstances

          Collection<org.kie.api.runtime.process.ProcessInstance> getProcessInstances()

    - #### addProcessInstance

          void addProcessInstance​(org.kie.api.runtime.process.ProcessInstance processInstance,
                                  org.kie.internal.process.CorrelationKey correlationKey)

    - #### internalAddProcessInstance

          void internalAddProcessInstance​(org.kie.api.runtime.process.ProcessInstance processInstance)

    - #### removeProcessInstance

          void removeProcessInstance​(org.kie.api.runtime.process.ProcessInstance processInstance)

    - #### internalRemoveProcessInstance

          void internalRemoveProcessInstance​(org.kie.api.runtime.process.ProcessInstance processInstance)

    - #### clearProcessInstances

          void clearProcessInstances()

    - #### clearProcessInstancesState

          void clearProcessInstancesState()